commandwindow
clear
clc

c=2.2;
x0=0;
xf=6;
t0=0;
tf=0.3;
dx=0.3;
dt=0.02;
n=(xf-x0)/dx
m=(tf-t0)/dt
r=c*dt/(dx^2);

t=[t0:dt:tf]
x=[x0:dx:xf]
u=zeros(m+1,n+1)
u(1:m+1,1)=0
u(1,1:n+1)=3*(x.^2)
u(1:m+1,n+1)=u(1,n+1)
for j=1:m
    i=2:n
    u(j+1,i)=(r*u(j,i-1))+((1-(2*r))*u(j,i))+(r*u(j,i+1))
end
u
mesh(x,t,u)
xlabel('distance')
ylabel('time')

